Rygel.StateMachine – librygel-core Reference Manual

# StateMachine

## Object Hierarchy:

## Description:

public interface StateMachine : `Object`

StateMachine interface.

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public abstract `Cancellable` cancellable { set; get; }

### Methods:

- public abstract async void run ()

### Signals:

- public signal void completed ()